Bug 1567827 - [3.9]hawkular metrics pod failed at liveness check, pod can not be started up
Summary: [3.9]hawkular metrics pod failed at liveness check, pod can not be started up
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Hawkular
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.9.z
Assignee: Ruben Vargas Palma
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1551474 1613130
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 09:21 UTC by Junqi Zhao
Modified: 2018-08-07 05:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1551474
Environment:
Last Closed: 2018-05-17 06:43:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1566 None None None 2018-05-17 06:44:33 UTC

Comment 1 Junqi Zhao 2018-04-16 09:22:40 UTC
Blocks metrics installation

Comment 4 Junqi Zhao 2018-04-24 02:14:58 UTC
metrics-hawkular-metrics-v3.9.25-1 already fixed this issue.
Remove TestBlocker keyword, and please set it to ON_QA

Comment 8 Junqi Zhao 2018-05-02 01:33:18 UTC
Tested with metrics-hawkular-metrics:v3.9.20-2, hawkular metrics pod can be started up now

# oc get po -n openshift-infra
NAME                         READY     STATUS    RESTARTS   AGE
hawkular-cassandra-1-m5kf5   1/1       Running   0          50m
hawkular-metrics-5mrpb       1/1       Running   0          50m
heapster-xv882               1/1       Running   0          50m

Images:
metrics-cassandra/images/v3.9.20-2
metrics-hawkular-metrics/images/v3.9.20-2
metrics-heapster/images/v3.9.20-2

Comment 9 Junqi Zhao 2018-05-02 03:07:49 UTC
The currently latest images also passed testing
# oc get po -n openshift-infra
NAME                         READY     STATUS    RESTARTS   AGE
hawkular-cassandra-1-d7bvp   1/1       Running   0          4m
hawkular-metrics-lp8bv       1/1       Running   0          4m
heapster-25dwc               1/1       Running   0          4m

metrics-heapster/images/v3.9.27-1
metrics-hawkular-metrics/images/v3.9.27-1
metrics-cassandra/images/v3.9.27-1

Comment 12 errata-xmlrpc 2018-05-17 06:43:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1566


Note You need to log in before you can comment on or make changes to this bug.